SHELL = /bin/sh
FC = ifort

F_FLAGS    = 
IOAPI =  -L/home/wdx/lib/x86_64/ifc-18.0/ioapi_3.1/Linux2_x86_64ifort -lioapi 
NETCDF =  -L/home/local-rhel8/apps/netcdf-4.8.1/intel-21.4/lib -lnetcdf -lnetcdff
LIBS = $(IOAPI) $(NETCDF)
INCLUDE = -I/home/wdx/lib/x86_64/ifc-18.0/ioapi_3.1/ioapi/fixed_src \
          -I/home/local-rhel8/apps/netcdf-4.8.1/intel-21.4/include
PROGRAM = ScaleWindow

RAW = $(PROGRAM).o

.f.o:
	$(FC) $(FFLAGS) $(INCLUDE) -c -o $@ $<

.F.o:
	$(FC) $(FFLAGS) $(INCLUDE) -c -o $@ $<

$(PROGRAM):	$(RAW)
	$(FC) $(FFLAGS) $(INCLUDE) -o $(@) $(RAW) $(LIBS)

clean:
	rm -f $(PROGRAM)
